@page {
    size: A4;
    margin: 0;
}

.root {
    width: var(--page-width);
    margin: 0 auto;
}

.cp_page {
    overflow: hidden;
    position: relative;
    width: var(--page-width);
    min-height: calc(var(--page-width) * 1.414285);

    &__image {
        top: 0;
        left: 0;
        z-index: 1;
        width: rem(629);
        height: rem(1022);
        position: absolute;
    }
}

.cp_cover {
    width: 100%;
    overflow: hidden;
    padding-top: 6.8013%;
    height: calc(var(--page-width) * 1.414285);
    position: relative;

    &:before {
        left: 0;
        right: 0;
        z-index: 1;
        content: '';
        height: 10.606%;
        bottom: 16.0269%;
        position: absolute;
        background: var(--violet);
    }

    &__top {
        position: relative;
        margin-bottom: rem(260);
        display: flex;
        align-items: center;
        justify-content: center;

        &:before {
            top: 0;
            left: 0;
            bottom: 0;
            content: '';
            width: rem(303);
            position: absolute;
            background: var(--violet);
        }
    }

    &__logo {
        width: rem(493);
        display: block;
        flex-shrink: 0;
        position: relative;
        margin-right: rem(265);

        &:before {
            top: 0;
            bottom: 0;
            content: '';
            width: 1px;
            right: rem(-144);
            position: absolute;
            background: #ECECEC;
        }
    }

    &__text {
        font-weight: 600;
        font-size: rem(45);
        line-height: 135%;
        display: inline-block;

    }

    &__header {
        font-weight: 600;
        font-size: rem(100);
        line-height: rem(122);
        position: relative;
        text-align: center;
        height: rem(609);
        display: flex;
        flex-direction: column;
    }

    &__number {
        font-weight: 700;
        font-size: rem(90);
        line-height: rem(110);
        margin-top: rem(10);
        color: var(--violet);
    }

    &__wrap {
        z-index: 10;
        margin: auto 0;
        position: relative;
    }

    &__square {
        top: 0;
        left: 50%;
        z-index: 1;
        margin-left: rem(-305);
        width: rem(609);
        height: rem(609);
        position: absolute;
        border: rem(35) solid #F1F0ED;

        &:before {
            content: '';
            top: rem(24);
            left: rem(24);
            right: rem(24);
            bottom: rem(24);
            position: absolute;
            border: 1px solid #F1F0ED;
        }
    }

    &__image-primary {
        right: 8.1428%;
        bottom: 10.5723%;
        width: 34%;
        height: 38.3838%;
        z-index: 10;
        position: absolute;
    }

    &__image-secondary {
        left: 0;
        bottom: 0;
        z-index: 10;
        width: 49.761%;
        height: 36.4983%;
        position: absolute;
    }
}

.cp_container {
    z-index: 20;
    width: 100%;
    min-height: 100%;
    position: relative;
    padding: rem(100) rem(170) rem(100) rem(170);
}

.cp_line {
    top: 0;
    width: 1px;
    bottom: 0;
    right: rem(86);
    z-index: 1;
    position: absolute;
    background: #F2F2F2;
    display: flex;
    align-items: center;

    &__media {
        z-index: 10;
        width: 100%;
        height: rem(316);
        background: white;
        position: relative;
    }

    &__logo {
        top: 50%;
        left: 50%;
        margin-top: rem(-42);
        margin-left: rem(-105);
        width: rem(210);
        position: absolute;
        transform: rotate(-90deg);
    }
}

.cp_header {
    font-size: rem(30);
    line-height: 140%;
    margin-bottom: rem(60);

    &__title {
        font-weight: 600;
        font-size: rem(60);
        line-height: 135%;
    }

    &__text {
        font-weight: 500;
        color: #414141;
    }
}

.cp_pattern {
    z-index: 1;
    top: rem(30);
    right: rem(172);
    width: rem(583);
    position: absolute;
}

.cp_items {
    display: grid;
    grid-row-gap: rem(38);
    grid-template-columns: 1fr;
}

.cp_item {
    display: flex;
    padding: rem(68);
    position: relative;
    border: rem(15) solid #F2F2F2;
    margin-bottom: rem(38);

    &:last-of-type {
        margin-bottom: 0;
    }

    &:before {
        content: '';
        top: rem(16);
        left: rem(16);
        right: rem(16);
        bottom: rem(16);
        position: absolute;
        border: 1px solid #F2F2F2;
    }

    &__media {
        z-index: 10;
        position: relative;
        width: rem(626);
        height: rem(655);
        flex-shrink: 0;
    }

    &__content {
        z-index: 10;
        position: relative;
        padding-left: rem(100);
        display: flex;
        flex-grow: 1;
        flex-direction: column;
    }

    &__info {
        flex-grow: 1;
        font-weight: 500;
        font-size: rem(22);
        line-height: 135%;
    }

    &__header {
        margin-bottom: rem(50);
        max-width: rem(620);
        color: #414141;
        font-weight: 600;
        line-height: 135%;
        font-size: rem(30);
    }

    &__table {
        width: 100%;
        border-collapse: collapse;

        td {
            width: 50%;
            padding: rem(10) 0;

            &:first-child {
                padding-right: rem(40);
            }
        }
    }


    &__title {
        color: var(--gray-3);
    }

    &__value {
        color: black;
        font-weight: 600;
    }

    &__footer {
        font-weight: 500;
        font-size: rem(22);
        line-height: 135%;
        white-space: nowrap;
        padding-top: rem(42);
        border-top: 1px solid #F2F2F2;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__count {
        display: flex;
        align-items: center;

        span {
            color: var(--gray-3);
            margin-right: rem(15);
        }
    }

    &__total {
        display: flex;
        align-items: flex-end;
    }

    &__label {
        padding-bottom: rem(8);
        color: var(--gray-3);
        margin-right: rem(14);
    }

    &__price {
        font-weight: 600;
        font-size: rem(40);
        line-height: 135%;
        color: var(--violet);
    }
}

.cp_page-number {
    color: white;
    bottom: 0;
    z-index: 20;
    right: rem(42);
    width: rem(90);
    height: rem(100);
    position: absolute;
    font-weight: 600;
    font-size: rem(26);
    line-height: rem(30);
    text-align: center;
    background: var(--violet);
    display: flex;
    align-items: center;
    justify-content: center;
}

.cp_total {
    position: relative;
    margin-top: rem(90);
    margin-bottom: rem(30);
    padding-bottom: rem(420);

    &__content {
        z-index: 10;
        width: 100%;
        position: relative;

        color: var(--black);
        font-weight: 500;
        line-height: 140%;
        font-size: rem(24);

        tbody {

            td {
                padding-bottom: rem(60);
            }
        }

        tfoot {

            td {
                padding-top: rem(50);
                border-top: 1px solid #ECECEC;
            }
        }
    }

    &__value {
        font-weight: 600;
        font-size: rem(40);
        white-space: nowrap;
    }

    &__label {
        max-width: rem(1060);
    }

    &__summary {
        white-space: nowrap;
        display: flex;
        align-items: flex-end;
    }

    &__result {
        font-weight: 600;
        font-size: rem(60);
        line-height: rem(60);
        color: var(--violet);
    }

    &__legend {
        padding-top: rem(20);
        text-align: right;
        color: var(--gray-3);
        padding-right: rem(24);
    }

    &__pattern {
        bottom: 0;
        left: rem(-170);
        position: absolute;
        width: rem(1076);
    }
}

.cp_color-gray {
    color: var(--gray-3);
}

.cp_content {
    font-size: rem(32);
    line-height: 142%;

    &__text {

        p {
            margin: 0 0 rem(50) 0;

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__footer {
        color: var(--black);
        font-weight: 600;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__stamp {
        width: rem(438);
        flex-shrink: 0;
    }
}

.cp_slogan {
    color: var(--black);
    font-weight: 500;
    line-height: 135%;
    font-size: rem(36);
    margin: 0 0 rem(90) rem(350);
    display: flex;
    align-items: center;

    &__media {
        width: rem(168);
        background: var(--violet);
    }

    &__content {
        padding-left: rem(74);

        strong {
            font-weight: 700;
        }
    }
}

.cp_blocks {
    z-index: 10;
    display: grid;
    position: relative;
    grid-row-gap: rem(50);
    grid-template-columns: 1fr;
}

.cp_block {
    background: white;
    position: relative;
    border: rem(15) solid #F2F2F2;
    padding: rem(90) rem(100);

    &:before {
        z-index: 1;
        content: '';
        top: rem(12);
        left: rem(12);
        right: rem(12);
        bottom: rem(12);
        position: absolute;
        border: 1px solid #F2F2F2;
    }

    &__header {
        z-index: 10;
        position: relative;
        font-weight: 700;
        line-height: rem(60);
        font-size: rem(35);
        margin-bottom: rem(50);
    }

    &__main {
        display: flex;
    }

    &__content {
        left: 0;
        flex-grow: 1;
        position: relative;
        padding-top: rem(36);
        border-top: 1px solid #E0E0E0;

        &:before {
            left: 0;
            top: rem(-9);
            content: '';
            z-index: 10;
            width: rem(20);
            height: rem(20);
            background: white;
            position: absolute;
            border-radius: 50%;
            border: rem(4) solid var(--violet);
        }
    }

    &__media {
        height: 1px;
        width: rem(600);
        flex-shrink: 0;
        position: relative;
        margin-left: rem(110);
    }

    &__image {
        z-index: 20;
        left: auto;
        top: 0;
        right: rem(-115);
        width: rem(714);
        position: absolute;
    }

    &__vendors {
        width: rem(1636);
        margin: 0 rem(-65);
    }

    &__partners {
        margin-left: rem(-60);
    }
}

.cp_about {
    height: rem(548);
    color: white;
    overflow: hidden;
    position: relative;
    font-size: rem(28);
    line-height: 135%;
    background: var(--violet);
    padding: rem(60) rem(480) rem(60) rem(170);
    margin: rem(116) rem(256) rem(116) rem(-170);
    display: flex;
    flex-direction: column;

    &__wrap {
        z-index: 10;
        position: relative;
        margin: auto 0;
    }

    &__media {
        top: 0;
        left: 0;
        opacity: 0.1;
        width: rem(950);
        position: absolute;
    }

    &__header {
        font-weight: 600;
        font-size: rem(70);
        line-height: rem(70);
        margin-bottom: rem(48);
    }

    &__text {
        padding-left: rem(70);
    }

    strong {
        font-weight: 600;
    }
}

.cp_contact {

    &__header {
        font-weight: 600;
        font-size: rem(45);
        line-height: rem(45);
        margin-bottom: rem(30);
    }

    &__main {
        display: flex;
        justify-content: space-between;
    }

    &__manager {
        line-height: 135%;
        width: rem(680);
        flex-shrink: 0;
        position: relative;
        padding-top: rem(60);
        margin-top: rem(30);
        border-top: 1px solid #E0E0E0;

        &:before {
            left: 0;
            top: rem(-9);
            content: '';
            z-index: 10;
            width: rem(20);
            height: rem(20);
            background: white;
            position: absolute;
            border-radius: 50%;
            border: rem(4) solid var(--violet);
        }
    }

    &__name {
        font-weight: 700;
        font-size: rem(30);
        line-height: rem(40);
        margin-bottom: rem(10);
    }

    &__staff {
        font-weight: 500;
        font-size: rem(22);
        color: var(--gray-3);
    }

    &__content {
        display: flex;
        column-gap: rem(50);
    }

    &__group {
        display: flex;
        row-gap: rem(30);
        flex-direction: column;
    }

    &__item {
        color: var(--black);
        font-weight: 500;
        font-size: rem(22);
        line-height: 125%;
        white-space: nowrap;
        display: flex;
        align-items: center;
    }

    &__icon {
        width: rem(74);
        height: rem(74);
        border-radius: 50%;
        flex-shrink: 0;
        margin-right: rem(30);
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}


